# eric7.Plugins.VcsPlugins.vcsGit.GitSubmodulesStatusDialog

Module implementing a dialog to show the status of the submodules of the project.

### Global Attributes

None

### Classes

GitSubmodulesStatusDialog | Class implementing a dialog to show the status of the submodules of the project.

### Functions

None

## GitSubmodulesStatusDialog

Class implementing a dialog to show the status of the submodules of the project.

### Derived from

QDialog, Ui_GitSubmodulesStatusDialog

### Class Attributes

None

### Class Methods

None

### Methods

GitSubmodulesStatusDialog | Constructor
__processOutput | Private method to process the output and populate the list.
on_buttonBox_clicked | Private slot called by a button of the button box clicked.
on_indexCheckBox_toggled | Private slot handling a change of the index check box.
on_recursiveCheckBox_toggled | Private slot handling a change of the recursive check box.
on_refreshButton_clicked | Private slot to refresh the status display.
start | Public method to populate the status list.

### Static Methods

None

#### GitSubmodulesStatusDialog (Constructor)

GitSubmodulesStatusDialog(vcs, parent=None)

Constructor

vcs (Git)
  reference to the vcs object
parent (QWidget)
  reference to the parent widget

#### GitSubmodulesStatusDialog.__processOutput

__processOutput(output)

Private method to process the output and populate the list.

output (str)
  output of the submodule status command

#### GitSubmodulesStatusDialog.on_buttonBox_clicked

on_buttonBox_clicked(button)

Private slot called by a button of the button box clicked.

button
  button that was clicked (QAbstractButton)

#### GitSubmodulesStatusDialog.on_indexCheckBox_toggled

on_indexCheckBox_toggled(checked)

Private slot handling a change of the index check box.

checked (bool)
  check state of the check box

#### GitSubmodulesStatusDialog.on_recursiveCheckBox_toggled

on_recursiveCheckBox_toggled(checked)

Private slot handling a change of the recursive check box.

checked (bool)
  check state of the check box

#### GitSubmodulesStatusDialog.on_refreshButton_clicked

on_refreshButton_clicked()

Private slot to refresh the status display.

#### GitSubmodulesStatusDialog.start

start(projectDir)

Public method to populate the status list.

projectDir (str)
  name of the project directory

Up